/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
* ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
*/
package com.sun.ts.tests.jpa.core.annotations.convert;

import javax.persistence.Converter;
import javax.persistence.AttributeConverter;

@Converter
public class SalaryConverter implements AttributeConverter<String, Float> {

    public Float convertToDatabaseColumn (String attribute){
        System.out.println("*** Entering SalaryConverter:convertToDatabaseColumn["+attribute+"] ***");
        Float f =  Float.valueOf(attribute.replace("#",""));
        System.out.println("*** Leaving SalaryConverter:convertToDatabaseColumn["+f+"] ***");
        return f;
    }

    public String convertToEntityAttribute (Float dbData){
        System.out.println("*** Entering SalaryConverter:convertToEntityAttribute["+dbData+"] ***");
        String s = dbData.toString();
        System.out.println("*** Leaving SalaryConverter:convertToEntityAttribute["+s+"] ***");
        return s;

    }
}

